Name:           mmapper
Version:        2.1.0
Release:        1%{?dist}
Summary:        Graphical MUME mapper

Group:          Amusements/Games
# The following files are dual licensed under
# LGPLv2 with exceptions or GPLv3 with exceptions:
#  - src/3rdparty/qtiocompressor.cpp
#  - src/3rdparty/qtiocompressor.h
# The rest of the source files are GPLv2+
License:        GPLv2
URL:            http://sourceforge.net/projects/mmapper
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt4-devel
Requires:       hicolor-icon-theme

%description
MMapper is a graphical mapper for a MUD named MUME (Multi-Users in Middle
Earth). The game is traditionally played in a text-only mode, but MMapper tries
to represent the virtual world in user-friendly graphical environment. It acts
as a proxy between a telnet client and a MUD server, being able to analyze game
data in real time and show player's position in a map.


%prep
%setup -q -n %{name}-%{version}-source


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

# It is questionable if one is allowed to redistribute the map.
rm -f $RPM_BUILD_ROOT/%{_datadir}/games/mmapper/arda.mm2

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/mmapper.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc ChangeLog.txt COPYING.txt doc/*.txt
%doc src/3rdparty/LGPL_EXCEPTION.txt src/3rdparty/LICENSE.LGPL
%{_bindir}/mmapper
%{_datadir}/applications/mmapper.desktop
%{_datadir}/icons/hicolor/*/apps/mmapper.png


%changelog
* Mon Aug 23 2010 Kalev Lember <kalev@smartlink.ee> - 2.1.0-1
- Update to 2.1.0
- Dropped upstreamed patches

* Thu Feb 25 2010 Kalev Lember <kalev@smartlink.ee> - 2.0.4-5.final2
- Added patch to fix renderer crash with Qt 4.6

* Thu Feb 25 2010 Kalev Lember <kalev@smartlink.ee> - 2.0.4-4.final2
- Rebuilt with Qt 4.6

* Mon Nov 23 2009 Kalev Lember <kalev@smartlink.ee> - 2.0.4-3.final2
- Updated source URL.

* Tue Aug 11 2009 Kalev Lember <kalev@smartlink.ee> - 2.0.4-2.final2
- Changed license tag to read "GPLv2" as there is GPLv2-only code in the mix.

* Fri Aug 07 2009 Kalev Lember <kalev@smartlink.ee> - 2.0.4-1.final2
- Initial RPM release.
